using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Allat
    {
        public class Allatok
        {
            public void Eszik()
            {
                Console.WriteLine("Az állat eszik.");
            }

            public void Alszik()
            {
                Console.WriteLine("Az állat szunyókál.");
            }
        }

        // leszármaztatott osztályokl amelyek öröklik az állat osztályt.
        public class Kutya : Allatok
        {
            public void Eszik()
            {
                Console.WriteLine("A kutya eszik.");
            }

            public void Alszik()
            {
                Console.WriteLine("A kutya szunyókál.");
            }
            public void Ugat()
            {
                Console.WriteLine("A kutya ugat.");
            }
        }

        public class Macska : Allatok
        {
            public void Nyavog()
            {
                Console.WriteLine("A macska nyávog.");
            }
        }

    }
    class Program
    {
        static void Main(string[] args)
        {
            Allat.Allatok eger = new Allat.Allatok();

            eger.Eszik();

            Allat.Kutya kutya = new Allat.Kutya();
            kutya.Ugat();
            kutya.Alszik();

            Allat.Macska macska = new Allat.Macska();
            macska.Nyavog();
            macska.Eszik();


            Console.ReadKey();
        }
    }
}
